FORMAX DEVELOPER API
  1. Prepaid Card SDK
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
      POST
    • Web SDK Redirect URL
      GET
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. Prepaid Card SDK

Get Authorization

POST
http://api.formaxpay.com/api/prepaid_card/get_authorization
This API is used to authenticate the client and generate an access token for Web SDK integration. It also accepts a redirect URL parameter, which will be used by the SDK to redirect the user after successful authentication.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'http://api.formaxpay.com/api/prepaid_card/get_authorization' \
--header 'Authorization: Basic eFZ0UEtwSzQxSXhmbE9UbXM4U05JZEFVSTZTaTdJWmk6NyooKzg7I0gtYU5RJyEkdUMpNWA=' \
--header 'Content-Type: application/json' \
--data-raw '{
    "outlet_id": "PM2546386719"
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "Authorization token generated",
    "data": {
        "authorization": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJvdXRsZXRfaWQiOiJQTTI1NDYzODY3MTkiLCJpYXQiOjE3NDk3MTQ2MDIsImV4cCI6MTc0OTgwMTAwMn0.1qyI3QFtBaJOCD1yPY34vnn7cz8I30qv9X-gRNmniXE"
    }
}
Modified at 2025-12-24 12:45:27
Previous
UPI Payment Callback
Next
Web SDK Redirect URL
Built with